<script>

	$(document).ready(function () {

		checkRequestSentModal();
		checkDisableSendButton();

		function showIfLoggedIn() {
        $('.osp__step_1').hide();
        $('.osp_input[name=requestType]').val(1);
        $('.osp_input[name=nameAndSurname]').hide();
        $('.osp_input[name=phoneNumber]').hide();
        $('#osp__second-text').html('L&#252;tfen iletmek istediğiniz notunuzu yazınız.');
        $('.osp__step_2').fadeIn();
        }

        $('.osp_step_btn').click(function () {
            if ($(this).attr('id') === "osp_step_1-btn") {
                if (`False` === 'False') {
                    window.location.href = '/tr/Security/LogOn?returnUrl=%2Ftr%2FHome%2FPhoneRequest';
                } else {
                    showIfLoggedIn();
                }
            } else {
                $('.osp__step_1').hide();
                $('.osp_input[name=requestType]').val(2);
                $('.osp_input[name=nameAndSurname]').show();
                $('.osp_input[name=phoneNumber]').show();
                $('.osp_input[name=subject]').show();
                $('#osp__second-text').html('L&#252;tfen adınızı, soyadınızı, telefon numaranızı, g&#246;r&#252;şmek istediğiniz konuyu ve iletmek istediğiniz notu yazınız.');
                $('.osp__step_2').fadeIn();
            }
        });

		$('#osp__back-btn').click(function () {
			$('#PhoneRequestForm')[0].reset();
			$('#osp__send-phone-request').attr('disabled', 'disabled');
			$('.osp__step_2').hide();
			$('.osp__step_1').fadeIn();
		});


		if (`False` === 'True') {
			$('#osp_step_1-btn').click();
			$('#osp__back-btn').hide();
		}

		$('#osp__send-phone-request').click(function () {
			const sendBtn = $(this);
			sendBtn.attr('disabled', 'disabled');
			$("#PhoneRequestForm").trigger("submit");
			setTimeout(function () {
				sendBtn.attr('disabled', false);
			}, 3000);
		});
	});

	function checkRequestSentModal() {

        const requestSentStatus = ``;
		const errorMessageCode = ``;
		const errorMobile = '';
        const errorSameMobileRequest = '';
        const errorForRegisteredUser = '';

		if (!requestSentStatus) return;

		if (requestSentStatus === 'True') {

			const message = (`tr` == 'tr') ?
                "Talebiniz oluşturuldu.</br></br> Temsilcilerimiz 7/24 hizmet vermektedir. </br></br> İşlem sırasına göre mümkün olan en kısa sürede sizi arayacağız." :
				'Your request has been created.  </br></br> Our representatives are available 24/7. </br> </br> We will call you as soon as possible according to the queue.';

			$('#phoneRequestSentModal').find('.modal-body').append(`<b class="text-success d-block mt-2">${message}</b>`);

		} else if (errorMessageCode === 'True') {

			const message = (`tr` == 'tr') ?
				'30 dakika içerisinde 1 kez aranma talebi oluşturabilirsiniz.' :
				'You can create a call request once within 30 minutes.';

			$('#phoneRequestSentModal').find('.modal-body').append(`<b class="text-danger d-block mt-2">${message}</b>`);

        }
        else if (errorMobile === 'True')
		{
			const message = 'Telefon numarası yalnızca rakamlardan oluşmalıdır.';

			$('#phoneRequestSentModal').find('.modal-body').append(`<b class="text-danger d-block mt-2">${message}</b>`);
        }
        else if(errorSameMobileRequest==='True'){
            const message = (`tr` == 'tr') ?
				'Bu telefon numarasından istek zaten 30 dakikadan daha kısa bir süre önce gönderildi. Daha sonra tekrar deneyin.' :
				'From that phone number, request is already sent less than 30 minutes ago. Try again later.';

			$('#phoneRequestSentModal').find('.modal-body').append(`<b class="text-danger d-block mt-2">${message}</b>`);
        }
        else if (errorForRegisteredUser ==='True'){
            const message = (`tr` == 'tr') ?
				'Zaten 30 dakikadan daha kısa bir süre önce hesabınızdan istek gönderdiniz. Daha sonra tekrar deneyin.' :
				'You have already sent request from your account less than 30 minutes ago. Try again later.';

			$('#phoneRequestSentModal').find('.modal-body').append(`<b class="text-danger d-block mt-2">${message}</b>`);
        }

		else {

			$('#phoneRequestSentModal').find('.modal-body').append(`<b class="text-danger d-block mt-2">Error</b>`);
		}

		$('#phoneRequestSentModal').show();
    }

    function checkDisableSendButton() {
        $('.osp_input, #discussSubject').on('input change', function () {
            const isUserLoggedIn = $('.osp_input[name=requestType]').val() === '1';
            const notField = $('.osp_input[name=not]').val().trim();
            const selectedSubject = $('#discussSubject').val();
            const phoneNumber = $('#phoneNumber').val();
            const phoneNumberDigits = phoneNumber.replace(/\D/g, '');

            if (
                (isUserLoggedIn || selectedSubject !== "") &&
                notField.length > 0 &&
                isOptionSelected(selectedSubject) &&
                (isUserLoggedIn || phoneNumberDigits.length >= 10)
            ) {
                $('#osp__send-phone-request').prop('disabled', false);
            } else if (!isUserLoggedIn && notField.length > 0 && validatePhoneNumber() && isOptionSelected(selectedSubject)) {
                $('#osp__send-phone-request').prop('disabled', false);
            } else {
                $('#osp__send-phone-request').prop('disabled', true);
            }
        });
    }

    function isOptionSelected(subject) {
        return subject === "Finansal İşlemler" || subject === "Teknik Sorun ve Bonus İşlemleri" || subject === "Genel Site Tanıtım";
    }
    function validatePhoneNumber() {
        const phoneNumber = $('#phoneNumber').val();
        const phoneNumberDigits = phoneNumber.replace(/\D/g, '');
        return phoneNumberDigits.length >= 10;
    }

    $(".closeInfoModal").on("click", function () {
        $("#phoneRequestSentModal").hide();
    })
</script>